#-------------------------------------------------
#
# Project created by QtCreator 2015-01-07T02:41:29
#
#-------------------------------------------------

QT       += core gui network xml

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

TARGET = QLop
TEMPLATE = app

INCLUDEPATH += src/QCustomPlot src src/Themis src/Core src/Core/Widgets

QMAKE_CXXFLAGS_RELEASE += -O5 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx
QMAKE_LFLAGS_RELEASE += -O5 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx

QMAKE_CXXFLAGS_DEBUG += -O0 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx
QMAKE_LFLAGS_DEBUG += -O0 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx


SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/SocExplorerPlot.cpp \
    src/QCustomPlot/qcustomplot.cpp \
    src/Themis/themisdatafile.cpp \
    src/folderview.cpp \
    src/toolbarcontainer.cpp \
    src/folderlistwidget.cpp \
    src/Core/abstractfileloader.cpp \
    src/Themis/themisindexfile.cpp \
    src/Themis/themisindexfileviewer.cpp \
    src/Core/filedownloader.cpp \
    src/Core/filedownloadertask.cpp \
    src/filedownloader_old.cpp \
    src/Core/Widgets/downloadhistory.cpp \
    src/Core/Widgets/downloadhistoryelement.cpp \
    src/Core/qlopservice.cpp \
    src/Themis/expxmldownloader.cpp \
    src/Themis/themisdatadownloader.cpp

HEADERS  += src/mainwindow.h \
    src/SocExplorerPlot.h \
    src/QCustomPlot/qcustomplot.h \
    src/Themis/themisdatafile.h \
    src/folderview.h \
    src/toolbarcontainer.h \
    src/folderlistwidget.h \
    src/Core/abstractfileloader.h \
    src/Themis/themisindexfile.h \
    src/Themis/themisindexfileviewer.h \
    src/Core/filedownloader.h \
    src/Core/filedownloadertask.h \
    src/filedownloader_old.h \
    src/Core/Widgets/downloadhistory.h \
    src/Core/Widgets/downloadhistoryelement.h \
    src/Core/qlopservice.h \
    src/Themis/expxmldownloader.h \
    src/Themis/themisdatadownloader.h

FORMS    += src/mainwindow.ui \
    src/folderview.ui \
    src/Themis/themisindexfileviewer.ui \
    src/Core/Widgets/downloadhistory.ui \
    src/Core/Widgets/downloadhistoryelement.ui \
    src/Themis/themisdatadownloader.ui

RESOURCES += \
    resources/qlop.qrc
